<template>
  <q-page class="bg-grey-2 q-pa-sm">
    <div class="col-xs-8 col-sm-6 col-md-4 col-lg-3 col-xl-2">
      <q-card class="shadow-up-24 q-pb-xs">
        <q-card-section class="text-white bg-primary">
          <div
            class="text-h6 text-center"
          >
          Información
          </div>
        </q-card-section>
        <q-card-section>
          <q-list bordered>
            <q-expansion-item
              group="somegroup"
              icon="people"
              label="Datos Personales"
              header-class="text-primary"
              >
              <q-card>
                <q-card-section>
                  <div class="row">
                    <div class="col">
                      <strong>Apelidos:<br/></strong> {{form.fullname}}<br/>
                      <strong>Nombres:<br/></strong> {{form.name}}<br/>
                      <strong>Aspirante:<br/></strong> {{form.carrera}}<br/>
                      <strong>Documento de Identificacion:<br/></strong> {{form.dni}}<br/>
                      <strong>F/N:<br/></strong> {{form.date}}<br/>
                      <strong>Edad:<br/></strong> {{form.year}}<br/>
                      <strong>Sexo:<br/></strong> {{form.sexo}}<br/>
                      <strong>País:<br/></strong> {{form.pais}}<br/>
                      <strong>Carrera:<br/></strong> {{form.carrera}}<br/>
                      <strong>Email:<br/></strong> {{form.email}}<br/>
                    </div>
                    <div class="col">
                      <strong>Nombres del Padre:<br/></strong> {{form.father_fullname}}<br/>
                      <strong>Telefono del Padre:<br/></strong> {{form.father_phone}}<br/>
                      <strong>Nombres de la Madre:<br/></strong> {{form.mother_fullname}}<br/>
                      <strong>Telefono de la Madre:<br/></strong> {{form.mother_phone}}<br/>
                      <strong>Dirección:<br/></strong> {{form.direction}}<br/>
                      <strong>País de Vivienda:<br/></strong> {{form.direction_pais}}<br/>
                      <strong>Estado de Vivienda:<br/></strong> {{form.direction_state}}<br/>
                      <strong>Ciudad de Vivienda:<br/></strong> {{form.direction_city}}<br/>
                      <strong>Telefono:<br/></strong> {{form.phone}}<br/>
                      <strong>Telefono Local:<br/></strong> {{form.local_phone}}<br/>
                    </div>
                  </div>
                </q-card-section>
              </q-card>
            </q-expansion-item>
            <q-expansion-item
              group="somegroup"
              icon="school"
              label="Datos Academicos"
              header-class="text-primary"
              >
              <q-card>
                <q-card-section>
                  <div class="row">
                    <div class="col">
                      <strong>Plantel:<br/></strong> {{academic.name}}<br/>
                      <strong>Dependencia:<br/></strong> {{academic.dependency}}<br/>
                      <strong>Especialidad:<br/></strong> {{academic.especiality}}<br/>
                      <strong>Fecha de Graduación:<br/></strong> {{academic.year}}<br/>
                    </div>
                    <div class="col">
                      <strong>Ubicación:<br/></strong> {{academic.ubicate}}<br/>
                      <strong>Sistema:<br/></strong> {{academic.system}}<br/>
                      <template v-if="!academic.superiority_insitute === null">
                        <strong>Estudios Superiores<br/></strong><br/>
                        <strong>Plantel:<br/></strong> {{academic.superiority_insitute}}<br/>
                        <strong>Carrera:<br/></strong> {{academic.superiority_carrera}}<br/>
                      </template>
                    </div>
                  </div>
                </q-card-section>
              </q-card>
            </q-expansion-item>
            <q-expansion-item
              group="somegroup"
              icon="school"
              label="Datos Religiosos"
              header-class="text-primary"
              v-if="form.carrer === 'IUNAV'"
              >
              <q-card>
                <q-card-section v-if="religions.religion">
                  <div class="row">
                    <div class="col">
                      <strong>Religion:<br/></strong> {{religion.type}}<br/>
                      <strong>Asociacion:<br/></strong> {{religion.asociate}}<br/>
                    </div>
                    <div class="col">
                      <strong>Distrito:<br/></strong> {{religion.distitre}}<br/>
                      <strong>Pastor:<br/></strong> {{religion.sherpherd}}<br/>
                    </div>
                  </div>
                </q-card-section>
                <q-car-section v-if="!religions.religion">
                  <br/><div class="text-black text-h6 text-center">No posee una Religion</div>
                </q-car-section>
              </q-card>
            </q-expansion-item>
            <q-expansion-item
              group="somegroup"
              icon="school"
              label="Datos Eclesiasticos"
              header-class="text-primary"
              v-if="form.carrer === 'SETAVEN'"
              >
              <q-card>
                <q-card-section>
                  <div class="row">
                    <div class="col">
                      <strong>Adventista de Nacimiento:<br/></strong> {{eclesiastic.adventist_naciment}}<br/>
                      <strong>Asociación:<br/></strong> {{eclesiastic.asociation}}<br/>
                      <strong>Fecha de Bautizo:<br/></strong> {{eclesiastic.bautizate}}<br/>
                      <strong>colportor:<br/></strong> {{eclesiastic.colport}}<br/>
                      <strong>Distrito:<br/></strong> {{eclesiastic.distitre}}<br/>
                    </div>
                    <div class="col">
                      <strong>Pastor:<br/></strong> {{eclesiastic.sherpherd}}<br/>
                      <strong>Pastor que lo Bautizó:<br/></strong> {{eclesiastic.sherpherd_bautizate}}<br/>
                      <strong>Lugar de Bautizo:<br/></strong> {{eclesiastic.state_bautizate}}<br/>
                      <strong>Años bautizado:<br/></strong> {{eclesiastic.years_bautizate}}<br/>
                      <strong>Tareas realizadas del Pastor:<br/></strong> {{eclesiastic.test_sherpherd}}<br/>
                    </div>
                  </div>
                </q-card-section>
              </q-card>
            </q-expansion-item>
          </q-list>
        </q-card-section>
        <q-card-section>
          <q-btn label="Atras" class="bg-secondary text-white full-width" icon="undo" style="margin-top: 4%;" @click="Back()"/>
        </q-card-section>
      </q-card>
    </div>
  </q-page>
</template>
<script>
import { date } from 'quasar'
export default {
  data () {
    return {
      general: [],
      form: {},
      academic: {},
      religions: {},
      eclesiastic: {}
    }
  },
  mounted () {
    this.getDocument()
  },
  methods: {
    Back (url) {
      this.$router.push('/documents_show')
    },
    getDocument () {
      const cod = this.$route.params.id
      this.$q.loading.show()
      this.$api.get('GetInformation/' + cod).then(res => {
        this.general = res
        this.form = this.general[0].personal[0]
        let fn = this.form.date
        this.form.date = date.formatDate(fn, 'DD/MM/YYYY')
        this.academic = this.general[0].academic[0]
        fn = this.academic.year
        this.academic.year = date.formatDate(fn, 'DD/MM/YYYY')
        if (this.form.carrer === 'IUNAV') {
          this.religions = this.general[0].religion[0]
        } else if (this.form.carrer === 'SETAVEN') {
          this.eclesiastic = this.general[0].eclesiastic[0]
          fn = this.eclesiastic.bautizate
          this.eclesiastic.bautizate = date.formatDate(fn, 'DD/MM/YYYY')
          if (this.eclesiastic.adventist_naciment) {
            this.eclesiastic.adventist_naciment = 'Si'
          } else {
            this.eclesiastic.adventist_naciment = 'No'
          }
          if (this.eclesiastic.colport) {
            this.eclesiastic.colport = 'Si'
          } else {
            this.eclesiastic.colport = 'No'
          }
          if (this.eclesiastic.test_sherpherd) {
            this.eclesiastic.test_sherpherd = 'Si'
          } else {
            this.eclesiastic.test_sherpherd = 'No'
          }
        }
        this.$q.loading.hide()
      })
    }
  }
}
</script>
